Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611049 - OpenOffice.org fonts get damaged after some time
OpenOffice.org fonts get damaged after some time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 06:21 EDT by Stefan Schulze Frielinghaus
Modified: 2018-04-11 11:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
OpenOffice main window with damaged fonts (181.02 KB, image/png)
2010-07-03 06:21 EDT, Stefan Schulze Frielinghaus
no flags Details
OpenOffice Calc with damaged fonts (62.09 KB, image/png)
2010-07-03 06:21 EDT, Stefan Schulze Frielinghaus
no flags Details
Xorg log file with external monitor attached (208.18 KB, text/plain)
2010-07-03 08:02 EDT, Stefan Schulze Frielinghaus
no flags Details
messages (with drm.debug enabled) (47.32 KB, text/plain)
2010-07-13 02:35 EDT, Stefan Schulze Frielinghaus
no flags Details
dmesg output (with drm.debug enabled) (27.20 KB, text/plain)
2010-07-13 02:36 EDT, Stefan Schulze Frielinghaus
no flags Details
xorg log file (with drm.debug enabled) (153.24 KB, text/plain)
2010-07-13 02:36 EDT, Stefan Schulze Frielinghaus
no flags Details

  None (edit)
Description Stefan Schulze Frielinghaus 2010-07-03 06:21:07 EDT
Created attachment 429240 [details]
OpenOffice main window with damaged fonts

Description of problem:
While working with OpenOffice it randomly sets the fonts to gibberish. You cannot read them any more. See attached screen shot for more details. I can reproduce it by clicking in the formula line of Calc. Afterwards (at least most of the time) the fonts aren't readable any more.

Closing and restarting OpenOffice does not help. I always need to restart my computer.


Version-Release number of selected component (if applicable):
openoffice.org-core-3.1.1-19.32.fc12


Any idea what could go wrong or where I could do more debugging?
Comment 1 Stefan Schulze Frielinghaus 2010-07-03 06:21:47 EDT
Created attachment 429241 [details]
OpenOffice Calc with damaged fonts
Comment 2 Caolan McNamara 2010-07-03 06:27:27 EDT
This'll probably be your video driver. Especially if it necessitates restarting the computer to fix it.

can you give the output of
$ grep drivers /var/log/Xorg.0.log
to see what video driver is in use

you might find that 

export SAL_DISABLE_CAIROTEXT=1

might workaround this by using a different font renderer, you might get lucky and that one might not trigger the underlying problem, at the cost of less pretty text
Comment 3 Stefan Schulze Frielinghaus 2010-07-03 08:01:29 EDT
I'm using a ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] graphics card.

The following did not change anything:
$ SAL_DISABLE_CAIROTEXT=1 oocalc
The text is still damaged.

I also attached my Xorg log file. Hope this helps.

While you say that it might be a problem with my video device, I remember that I do not have this problem when using only the monitor of my notebook and _not_ together with my external monitor.

If you need anything else just let me know.
Comment 4 Stefan Schulze Frielinghaus 2010-07-03 08:02:08 EDT
Created attachment 429251 [details]
Xorg log file with external monitor attached
Comment 5 Caolan McNamara 2010-07-03 15:16:19 EDT
caolanm->dtardon: You've an ATI right ?, anything like this ever happen to you with a second monitor plugged. Though this is reported in F-12, so might be fixed in F-13+
Comment 6 Matěj Cepl 2010-07-12 19:59:17 EDT
(In reply to comment #4)
> Created an attachment (id=429251) [details]
> Xorg log file with external monitor attached    

I guess it has something to do with

(EE) RADEON(0): drm: could not allocate surface for access swapper, err: -22!

repeated zillion times in your Xorg.0.log.

Please add drm.debug=0x04 to the kernel command line, restart computer, wait until the fonts get corrupted again, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 David Tardon 2010-07-13 00:53:48 EDT
dtardon->caolanm: Sorry, I missed this one somewhat... Yes, I have an ATI. And no, I've never seen anything like this. Neither on my regular machine, running Rawhide, in the times before F-12 branch off, nor on second one, where I run regular F-12 in the past.
Comment 8 Stefan Schulze Frielinghaus 2010-07-13 02:35:12 EDT
(In reply to comment #6)
> Please add drm.debug=0x04 to the kernel command line, restart computer, wait
> until the fonts get corrupted again, and attach

Done.

> * your X server config file (/etc/X11/xorg.conf, if available),

Not available. Everything is setup automagically.

> * output of the dmesg command, and
> * system log (/var/log/messages)

Also attached a new Xorg.log file (HTH).

Thanks for your help so far,
Regards

Stefan
Comment 9 Stefan Schulze Frielinghaus 2010-07-13 02:35:42 EDT
Created attachment 431356 [details]
messages (with drm.debug enabled)
Comment 10 Stefan Schulze Frielinghaus 2010-07-13 02:36:08 EDT
Created attachment 431357 [details]
dmesg output (with drm.debug enabled)
Comment 11 Stefan Schulze Frielinghaus 2010-07-13 02:36:47 EDT
Created attachment 431358 [details]
xorg log file (with drm.debug enabled)
Comment 12 Bug Zapper 2010-11-03 08:34:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Stefan Schulze Frielinghaus 2010-11-05 06:09:31 EDT
Since I can only reproduce this error on a notebook which runs F12 and nothing else, I will let the Bug Zapper close this bug unless someone else responds/has some ideas or whatever.

Regards,
Stefan
Comment 14 Bug Zapper 2010-12-03 08:33:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.